version: '3'
services:
  mysql:
    image: mysql:5.7.31
    ports:
      - 3306:3306
    environment:
      - MYSQL_ROOT_PASSWORD=mopumopu%9987&
      - TZ=Asia/Shanghai
    volumes:
      - ./init.sql:/docker-entrypoint-initdb.d/init.sql
  php:
    image: php7:v7.3.31-oms
    ports:
      - 4433:4433
    depends_on:
      - mysql
    volumes:
      - /home/nxx/OMES/OnlineMapServer:/app
    command: ["php", "/app/AmapService.php","start"]
    environment:
      - TZ=Asia/Shanghai
  web:
    image: nginx
    ports:
      - 1080:80
    volumes:
      - ./nginx_conf/nginx:/etc/nginx
      - ./dist:/usr/share/nginx/html:ro